Bug 149685 - inittab not honored
inittab not honored
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 01:15 EST by Joseph A. Farmer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph A. Farmer 2005-02-25 01:15:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Setting the runlevel in inittab to 3 should result in a text start. 
It doesn't.  On different machines I've seen the same behavior. 
Machine one had a CRT.  I switched it to an LCD monitor that has a
slower scan rate.  When the machine booted, it hung with blank video.
 That is normal.  I then changed inittab to start at run level 3. 
Fedora insisted on trying to start X which again hung the machine. 
rpm -e xorg-x11-x.x.x was the only way to get that thing to stop. 
Runlevel 3 means TEXT!  Machine two is a similar situation.  X is
borked on that machine and sshing into it is the only way to work on
it as, in spite of having inittab set to runlevel 3, Fedora always
tries to start X.

The executable xkeepscrashing is a bad hack and isn't working. 
Runlevel 3 means runlevel 3, not Graphical.  It's almost impossible to
work on a machine with a borked X because of this.  



Version-Release number of selected component (if applicable):
all

How reproducible:
Always

Steps to Reproduce:
1. Setup X to a monitor with a high scan rate.
2. Replace monitor with a lesser one and change inittab to runlevel 3
3. Start machine.  Blank screen and no way to work on it.
    

Actual Results:  I got kind of pissed.  I'm going to have to reload
the machine from CD as I can't get a mingetty to work on X.  Machine
boots to a text login prompt and before you can do anything that
graphical crap blinks the video and off to lala land it goes.  Blank
screen.  ssh from another machine and I can't see X running and I know
gdm isn't as I deleted most of it.

Expected Results:  It should have started to a text console.  Runlevel
3 does not have "graphics" in it.  Deleting GDM and a fair amount of
the stuff in /etc/X11 didn't fix it.

Additional info:

http://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/ref-guide/s1-boot-init-shutdown-sysv.html

3 � Full multi-user text mode

See the word text?  Not graphical.  So why is the machine trying to
start a graphical screen?

Yeah, I know it's hard dealing with people that are rude in here but
this is really stupid and it is quite frustrating to start deleting
files wholesale to try to get a machine start in runlevel 3 when that
is exactly what inittab is set to.  xkeepscrashing is an ugly hack and
it isn't working.


The silver lining is this was an entire day at work and I got paid to
muck with it.  My wife's computer (the one with the LCD) on the other
hand was different.  She actually asked my why didn't I just stop
Fedora from starting X on startup "like Red Hat" used to.  Grrrrr.
Comment 1 Joseph A. Farmer 2005-02-25 01:30:23 EST
It just dawned on me what is doing this.  That is what "RHGB" in Grub
is: Red Hat Graphical Boot right?

The solution to this bug is have RHGB read inittab and if it sees a
text based runlevel selected, not run.  Viola.  Of course removing
RHGB from Grub would have worked but I didn't know what was doing it.
 I do now.  

I still think inittab is the "well known" way to do runlevels and RHGB
should honor it.
Comment 2 Bill Nottingham 2005-02-25 13:19:58 EST
rhgb *should* be reading /etc/inittab. If it's not, it's a bug.
Comment 3 Matthew Miller 2006-07-10 18:25:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Ray Strode [halfline] 2007-08-14 11:45:24 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.